.record-mood {
  width: 100%;
  display: flex;
  padding-top: 80px;
  gap: 12px;
  /* padding-bottom: 140px; */
}

.record-title {
  position: relative;
  width: 100%;
  display: flex;
  padding-bottom: 12px;
}

/* 무드 아이콘 선택 */
.choose-mood-container {
  display: flex;
  padding-bottom: 20px;
  width: 100%;
}
.choose-mood-box {
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: space-around;
  /* border-radius: var(--spacing-16);
  border: 1px solid var(--gray-200); */
}

.choose-mood {
  width: 15%;
  opacity: 0.3;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition:
    opacity 0.2s ease,
    transform 0.2s ease;
  -webkit-tap-highlight-color: transparent;
}
.choose-mood-box .happy img {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.choose-mood.active {
  opacity: 1;
  transform: scale(1.2);
  /* border: 1px solid var(--white);
  border-radius: var(--spacing-16);
  box-shadow: 0 1px 10px 2px rgba(0, 0, 0, 0.2); */
}

.choose-mood img {
  width: 100%;
  display: block;
}

/* 무드기록창 */
.input-box {
  width: 100%;
  display: flex;
  gap: 8px;
  flex-direction: column;
}
.text-box img {
  position: absolute;
  width: 200px;
  height: auto;
  z-index: 0;
  top: 80px;
  left: 300px;
}

.input-label {
  font-size: 14px;
  font-weight: 600;
  color: var(--gray-900);
}

.typing-area {
  position: relative;
  width: 100%;
  min-height: 112px;
  padding: 16px;
  z-index: 2;
  border: 1px solid var(--gray-200);
  outline: none;
  background: #fff;
  margin-bottom: 12px;
  font-family: inherit;
  font-size: 15px;
  line-height: 1.5;
  color: var(--gray-900);

  resize: none;
  border-radius: 16px;
}

.typing-area::placeholder {
  color: var(--gray-400);
}

.typing-area:focus {
  border-color: #0ec244;
  box-shadow: 0 0 0 3px rgba(14, 194, 68, 0.12);
}
/* 주소검색 */
.place-search-wrap {
  width: 100%;
  display: flex;
  gap: 12px;
  font-size: 14px;
  font-weight: 600;
  flex-direction: column;
}

.search-container {
  display: flex;
  width: 100%;
  gap: 8px;
}
.search-place-input {
}

.search-place-btn {
  width: 30%;
  text-align: center;
  /* letter-spacing: 4px; */
  font-weight: 500;
  color: var(--white);
  background-color: var(--green-400);
  border: 1px solid var(--green-500);
}
input,
button {
  height: 44px;
}

#keyword {
  height: 52px;
  padding: 0 16px;
  border: 1px solid #ddd;
  border-radius: 12px;
}

#placeList {
  max-height: 280px; /* 높이 제한 */
  margin: 0;
  padding: 0;

  border: 1px solid #eee;
  overflow-y: auto; /* 세로 스크롤 */
  background: #fff;
  list-style: none;
  border-radius: 12px;
}

#placeList li {
  padding: 14px;
  border-bottom: 1px solid #eee;
  cursor: pointer;
}

#placeList li:hover {
  background: #f8f8f8;
}
.selected-place-container {
  padding-bottom: 12px;
}
.selected-place {
  padding: 12px 16px;
  background: #f5f5f5;
  border-radius: 12px;
  margin-bottom: 12px;
  font-size: 14px;
  gap: 8px;
}
.selected-place p {
  font-weight: 700;
  font-size: 14px;
}
.selected-place span {
  font-size: 14px;
}
#placeList li strong {
  display: block;
  margin-bottom: 4px;
  font-size: 14px;
}

#placeList li span {
  display: block;
  font-size: 12px;
  color: var(--gray-500);
}

/* 사진추가 */
.photo-section {
  width: 100%;
  margin-bottom: 12px;
}
.photo-header {
  width: 100%;
}
.photo-text-top {
  font-size: 14px;
  font-weight: 600;
  padding-bottom: 4px;
}
.photo-text-top h3 {
}
.photo-text-top span {
  font-weight: 500;
  color: var(--gray-400);
}
.photo-text-bottom {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  margin-bottom: 12px;
}
.photo-text-bottom p {
  line-height: 20px;
  font-weight: 600;
  font-size: 14px;
  color: var(--gray-500);
}
.photo-add-btn {
  display: flex;
  gap: 4px;
  justify-content: center;
  align-items: center;
  border: 2px dashed var(--gray-200);
  padding: 8px 12px;
  color: var(--accent);
  height: 40px;
  border-radius: var(--spacing-12);
}
.photo-add-btn img {
  width: 24px;
  height: 24px;
}
.photo-add-btn p {
  color: var(--accent);
}

.photo-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 4px;
}
.photo-grid .photo-box {
  overflow: hidden;
  object-fit: cover;
  width: 100%;
  aspect-ratio: 1/1;
  height: 100%;
  border-radius: 16px;
  background-color: var(--gray-100);
}

/* 저장 모달 */
.modal {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.45);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 9999;
}

.modal.show {
  opacity: 1;
  visibility: visible;
}

.modal-content {
  width: 90%;
  max-width: 360px;
  background: white;
  border-radius: 20px;
  padding: 28px;
  position: relative;
  text-align: center;
}

.close-btn {
  position: absolute;
  top: 14px;
  right: 14px;
  border: none;
  background: none;
  font-size: 20px;
  cursor: pointer;
}

/* 반응형 */
@media screen and (min-width: 768px) {
  .container {
    width: 100%;
    /* max-width: 720px; */
    /* max-width: 744px; */
    display: flex;
    align-items: center;
    /* justify-content: center; */
    flex-direction: column;
    padding: 0 24px;
  }

  .button {
    width: 100%;
    padding-right: 24px;
    padding-bottom: 40px;
    padding-left: 24px;
  }
  .intro {
    padding: 24px 24px 180px 24px;
  }
  .input-label {
    font-size: 14px;
    font-weight: 600;
    color: var(--gray-900);
  }

  .typing-area {
    position: relative;
    width: 100%;
    min-height: 120px;
    padding: 16px;
    z-index: 2;
    border: 1px solid var(--gray-200);
    outline: none;
    background: #fff;

    font-family: inherit;
    font-size: 15px;
    line-height: 1.5;
    color: var(--gray-900);

    resize: none;
    border-radius: 16px;
  }

  .bottom-nav {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 112px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 14px 24px;
    border-top: 1px solid #f0f0f0;
    z-index: 2;
    background: white;
  }
  .place-card-list {
    display: grid;

    grid-template-columns: repeat(2, 1fr);
  }
  .photo-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: 1fr;

    gap: 4px;
  }
}

/* desktop */
@media screen and (min-width: 1024px) {
  .record-mood {
    padding-bottom: 40px;
  }
  .container {
    width: 100%;
    max-width: 100%;
    display: flex;
    align-items: center;
    /* justify-content: center; */
    flex-direction: column;
    padding: 0 40px;
  }

  .input-box {
    width: 100%;
  }

  .typing-area {
    width: 100%;
    min-height: 140px;
    padding: 20px;
    /* font-size: 16px; */
  }

  .photo-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: 1fr;

    gap: 4px;
    overflow-x: auto;
  }
  .photo-grid .photo-box {
    overflow: hidden;
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 16px;
    background-color: var(--gray-200);
  }
}
